Subject: Re: [bug#32104] [PATCH 0/3] guix environment: Simplify environment creation

From: "Thompson, David" <[email-masked]>
Date: Mon, 9 Jul 2018 09:22:41 -0400

Hey Ludo,

On Mon, Jul 9, 2018 at 7:31 AM, Ludovic Courtès <[email-masked]> wrote:
> Hello Guix!
>
> These patches aim to simplify (guix scripts environment) by (1) factorizing
> part of the search path handling machinery in (guix profiles), and (2) by
> using manifests internally instead of loosely defined lists of “inputs.”
>
> The goal is to gradually move towards a situation where (guix scripts
> environment) contains nothing but UI code and related plumbing.

This is a great initiative. Using manifests for everything makes a lot
of sense. All the patches look good to me!

- Dave